From 81e4ad0d81b24cb9c064837b0780a3033a05ca6e Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Thu, 19 May 2016 08:02:13 -0700
Subject: [PATCH] Fix flyspell highlighting

Problem reported by Jim Meyering (Bug#23575).
* src/xdisp.c (extend_face_to_end_of_line):
Fix typo in previous change.
---
 src/xdisp.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/xdisp.c b/src/xdisp.c
index bec7339..e18af2f 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -19635,8 +19635,8 @@ extend_face_to_end_of_line (struct it *it)
      to the end of the line.  If the background equals the background
      of the frame, we don't have to do anything.  */
   face = FACE_OPT_FROM_ID (f, (it->face_before_selective_p
-			       ? it->face_id
-			       : it->saved_face_id));
+			       ? it->saved_face_id
+			       : it->face_id));
 
   if (FRAME_WINDOW_P (f)
       && MATRIX_ROW_DISPLAYS_TEXT_P (it->glyph_row)
-- 
2.5.5

